%define tarname	EnthoughtBase
%define name	python-enthought-enthoughtbase
%define version	3.0.1
%define release	%mkrel 1

Summary:	Enthought Tool Suite - EnthoughtBase project
Name:		%{name}
Version:	%{version}
Release: 	%{release}
Source0: 	%{tarname}-%{version}.tar.lzma
License:	BSD
Group:		Development/Python
Url:		http://code.enthought.com/projects/enthought_base.php
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
BuildRequires:	python-setuptools >= 0.6c8
BuildRequires:	python-sphinx, python-docutils, tetex-latex
%py_requires -d

%description
The EnthoughtBase project includes a few core packages that are used
by many other projects in the Enthought Tool Suite:

* etsconfig: Supports configuring settings that need to be shared
  across multiple projects or programs on the same system. Most
  significant of these is the GUI toolkit to be used. You can also
  configure locations for writing application data and user data, and
  the name of the company responsible for the software (which is used
  in the application and user data paths on some systems).
* logger: Provides convenience functions for creating logging handlers.
* util: Provides miscellaneous utility functions.

%prep
%setup -q -n %{tarname}-%{version}

%build
%__python setup.py build
%__python setup.py build_docs --formats pdf

%install
%__rm -rf %{buildroot}
%__python setup.py install --root=%{buildroot} --record=FILELIST

%clean
%__rm -rf %{buildroot}

%files -f FILELIST
%defattr(-,root,root)
%doc *.txt docs/*.txt examples/ build/docs/latex/*.pdf


%changelog
* Fri Dec 12 2008 Lev Givon <lev@mandriva.org> 3.0.1-1mdv2009.1
+ Revision: 313512
- Update to 3.0.1.

* Fri Oct 31 2008 Lev Givon <lev@mandriva.org> 3.0.0-1mdv2009.1
+ Revision: 298825
- import python-enthought-enthoughtbase


